Bug 62398 - [PATCH] devel/p5-AppConfig: update to 1.56, take maintainership
Summary: [PATCH] devel/p5-AppConfig: update to 1.56, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-05 20:20 UTC by Lars Thegler
Modified: 2004-02-09 20:42 UTC (History)
0 users

See Also:


Attachments
p5-AppConfig-1.56.patch (1.07 KB, patch)
2004-02-05 20:20 UTC, Lars Thegler
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Thegler 2004-02-05 20:20:16 UTC
- Update to 1.56
- Take maintainership

Generated with FreeBSD Port Tools 0.50
Comment 1 Erwin Lansing freebsd_committer 2004-02-06 09:48:36 UTC
State Changed
From-To: open->feedback

Build on perl 5.005_03 reports: 
Warning: prerequisite Test::More 0 not found at (eval 1) line 219 

Should Test::Simple be added as a dependencies or are you sure 
it is only used by make test?
Comment 2 Mathieu Arnold freebsd_committer 2004-02-06 14:47:04 UTC
+-le 06/02/2004 14:53 +0100, Lars Thegler écrivait :
| Erwin Lansing wrote:
|> Should Test::Simple be added as a dependencies or are you sure
|> it is only used by make test?
| 
| Yes, Test::More is only used for testing. But I get your point - to silence
| the warning, either the dependency should be added, or the Makefile.PL
| patched. What's best practice in these cases?

As far as I can tell, there are good chances that Test::Simple is already
installed, but I would not bring a SOMETHING_DEPENDS if it does not really
depends on it. if a developper wants to make test, he's likely to have it
already, and if not, he's likely to be smart enough to find out how to add it.
All this to say that I don't think adding a dependency just to shut up
Makefile.PL is a good thing.

-- 
Mathieu Arnold
Comment 3 Erwin Lansing 2004-02-06 15:14:28 UTC
On Fri, Feb 06, 2004 at 03:47:04PM +0100, Mathieu Arnold wrote:
> +-le 06/02/2004 14:53 +0100, Lars Thegler écrivait :
> | Erwin Lansing wrote:
> |> Should Test::Simple be added as a dependencies or are you sure
> |> it is only used by make test?
> | 
> | Yes, Test::More is only used for testing. But I get your point - to silence
> | the warning, either the dependency should be added, or the Makefile.PL
> | patched. What's best practice in these cases?
> 
> As far as I can tell, there are good chances that Test::Simple is already
> installed, but I would not bring a SOMETHING_DEPENDS if it does not really
> depends on it. if a developper wants to make test, he's likely to have it
> already, and if not, he's likely to be smart enough to find out how to add it.
> All this to say that I don't think adding a dependency just to shut up
> Makefile.PL is a good thing.
> 

I replied to Lars personally, but let me repeat it here.

I have seen both cases, where the maintainer adds Test::Simple or just
leaves the warning. Personally I add the dependency as I assume (most
likely wrongly in several cases) that if the author tests for it, it
needs it. But I'll leave it up to the maintainers discression to decide.

-erwin

-- 
                    _._     _,-'""`-._
Erwin Lansing      (,-.`._,'(       |\`-/|    erwin@lansing.dk
http://droso.org       `-.-' \ )-`( , o o)    erwin@FreeBSD.org
                    -bf-      `-    \`_`"'-
Comment 4 Erwin Lansing freebsd_committer 2004-02-09 20:41:36 UTC
State Changed
From-To: feedback->closed

Committed, tahnks! 

I decided to go with mat's suggestion and leave the warning 
while building.